package com.market.model.binance;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 币安 WebSocket 流消息基类
 *
 * @author system
 * @date 2026-05-07
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class SpotStreamMessage {

    /** 事件类型 */
    @JsonProperty("e")
    private String event;

    /** 事件时间 */
    @JsonProperty("E")
    private Long eventTime;

    /** 交易对 */
    @JsonProperty("s")
    private String symbol;

    public String getEvent() { return event; }
    public void setEvent(String event) { this.event = event; }
    public Long getEventTime() { return eventTime; }
    public void setEventTime(Long eventTime) { this.eventTime = eventTime; }
    public String getSymbol() { return symbol; }
    public void setSymbol(String symbol) { this.symbol = symbol; }
}
